path: /build/build/gnutls-net-libs-3.7.2+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/gnutls && luet-portage --dir
    /pkgdir/gnutls net-libs/gnutls
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:46b435fbe3451c792fadc663959184ebd73582d0ca9edcd05d4221e52374a5cb
  package:
    name: gnutls
    version: 3.7.2+1
    category: net-libs
    use_flags:
    - -dane
    - -doc
    - -guile
    - -seccomp
    - -test
    - -test-full
    - -tools
    - -valgrind
    - idn
    - nls
    - pkcs11
    requires:
    - name: funtoo-base
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A TLS 1.2 and SSL 3.0 implementation for the GNU project
    uri:
    - http://www.gnutls.org/
    license: GPL-3 LGPL-2.1+
    buildtimestamp: 2023-08-19 12:33:43.722952187 +0000 UTC m=+47.945798132
    labels:
      BDEPEND: '>=virtual/pkgconfig-0-r1 doc? ( dev-util/gtk-doc ) nls? ( sys-devel/gettext
        ) tools? ( sys-devel/autogen ) valgrind? ( dev-util/valgrind ) test-full?
        ( app-crypt/dieharder >=app-misc/datefudge-1.22 dev-libs/softhsm:2[-bindist]
        net-dialup/ppp net-misc/socat ) >=app-portage/elt-patches-20170815'
      DEPEND: '>=dev-libs/libtasn1-4.9:= dev-libs/libunistring:= >=dev-libs/nettle-3.6:=[gmp]
        >=dev-libs/gmp-5.1.3-r1:= tools? ( sys-devel/autogen:= ) dane? ( >=net-dns/unbound-1.4.20:=
        ) guile? ( >=dev-scheme/guile-2:=[networking] ) nls? ( >=virtual/libintl-0-r1:=
        ) pkcs11? ( >=app-crypt/p11-kit-0.23.1:= ) idn? ( >=net-dns/libidn2-0.16-r1:=
        ) test? ( seccomp? ( sys-libs/libseccomp ) )'
      IUSE: +cxx dane doc examples guile +idn nls +openssl +pkcs11 seccomp sslv2 sslv3
        static-libs test test-full +tls-heartbeat tools valgrind
      RDEPEND: '>=dev-libs/libtasn1-4.9:= dev-libs/libunistring:= >=dev-libs/nettle-3.6:=[gmp]
        >=dev-libs/gmp-5.1.3-r1:= tools? ( sys-devel/autogen:= ) dane? ( >=net-dns/unbound-1.4.20:=
        ) guile? ( >=dev-scheme/guile-2:=[networking] ) nls? ( >=virtual/libintl-0-r1:=
        ) pkcs11? ( >=app-crypt/p11-kit-0.23.1:= ) idn? ( >=net-dns/libidn2-0.16-r1:=
        )'
      emerge.packages: net-libs/gnutls
      kit: core-kit
      original.package.name: net-libs/gnutls
      original.package.slot: "0"
      original.package.version: 3.7.2
    treedir: /build/packages
  package_dir: /pkgdir/gnutls
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: c510fe13dedd93476087d2de00065dcd80fbacf5ddc58b0d70cbc8791c146c42
compressiontype: zstd
files:
- usr/include/gnutls/abstract.h
- usr/include/gnutls/compat.h
- usr/include/gnutls/crypto.h
- usr/include/gnutls/dtls.h
- usr/include/gnutls/gnutls.h
- usr/include/gnutls/gnutlsxx.h
- usr/include/gnutls/ocsp.h
- usr/include/gnutls/openpgp.h
- usr/include/gnutls/openssl.h
- usr/include/gnutls/pkcs11.h
- usr/include/gnutls/pkcs12.h
- usr/include/gnutls/pkcs7.h
- usr/include/gnutls/self-test.h
- usr/include/gnutls/socket.h
- usr/include/gnutls/system-keys.h
- usr/include/gnutls/tpm.h
- usr/include/gnutls/urls.h
- usr/include/gnutls/x509-ext.h
- usr/include/gnutls/x509.h
- usr/lib64/libgnutls-openssl.so
- usr/lib64/libgnutls-openssl.so.27
- usr/lib64/libgnutls-openssl.so.27.0.2
- usr/lib64/libgnutls.so
- usr/lib64/libgnutls.so.30
- usr/lib64/libgnutls.so.30.30.0
- usr/lib64/libgnutlsxx.so
- usr/lib64/libgnutlsxx.so.28
- usr/lib64/libgnutlsxx.so.28.1.0
- usr/lib64/pkgconfig/gnutls.pc
- usr/share/doc/gnutls-3.7.2/README.md.bz2
- usr/share/doc/gnutls-3.7.2/certtool.cfg.bz2
- usr/share/locale/cs/LC_MESSAGES/gnutls.mo
- usr/share/locale/de/LC_MESSAGES/gnutls.mo
- usr/share/locale/eo/LC_MESSAGES/gnutls.mo
- usr/share/locale/es/LC_MESSAGES/gnutls.mo
- usr/share/locale/fi/LC_MESSAGES/gnutls.mo
- usr/share/locale/fr/LC_MESSAGES/gnutls.mo
- usr/share/locale/it/LC_MESSAGES/gnutls.mo
- usr/share/locale/ms/LC_MESSAGES/gnutls.mo
- usr/share/locale/nl/LC_MESSAGES/gnutls.mo
- usr/share/locale/pl/LC_MESSAGES/gnutls.mo
- usr/share/locale/pt_BR/LC_MESSAGES/gnutls.mo
- usr/share/locale/sr/LC_MESSAGES/gnutls.mo
- usr/share/locale/sv/LC_MESSAGES/gnutls.mo
- usr/share/locale/uk/LC_MESSAGES/gnutls.mo
- usr/share/locale/vi/LC_MESSAGES/gnutls.mo
- usr/share/locale/zh_CN/LC_MESSAGES/gnutls.mo
- var/db/pkg/net-libs/gnutls-3.7.2/BDEPEND
- var/db/pkg/net-libs/gnutls-3.7.2/BUILD_TIME
- var/db/pkg/net-libs/gnutls-3.7.2/CATEGORY
- var/db/pkg/net-libs/gnutls-3.7.2/CBUILD
- var/db/pkg/net-libs/gnutls-3.7.2/CFLAGS
- var/db/pkg/net-libs/gnutls-3.7.2/CHOST
- var/db/pkg/net-libs/gnutls-3.7.2/CONTENTS
- var/db/pkg/net-libs/gnutls-3.7.2/COUNTER
- var/db/pkg/net-libs/gnutls-3.7.2/CXXFLAGS
- var/db/pkg/net-libs/gnutls-3.7.2/DEFINED_PHASES
- var/db/pkg/net-libs/gnutls-3.7.2/DEPEND
- var/db/pkg/net-libs/gnutls-3.7.2/DESCRIPTION
- var/db/pkg/net-libs/gnutls-3.7.2/EAPI
- var/db/pkg/net-libs/gnutls-3.7.2/FEATURES
- var/db/pkg/net-libs/gnutls-3.7.2/HOMEPAGE
- var/db/pkg/net-libs/gnutls-3.7.2/INHERITED
- var/db/pkg/net-libs/gnutls-3.7.2/IUSE
- var/db/pkg/net-libs/gnutls-3.7.2/IUSE_EFFECTIVE
- var/db/pkg/net-libs/gnutls-3.7.2/KEYWORDS
- var/db/pkg/net-libs/gnutls-3.7.2/LDFLAGS
- var/db/pkg/net-libs/gnutls-3.7.2/LICENSE
- var/db/pkg/net-libs/gnutls-3.7.2/NEEDED
- var/db/pkg/net-libs/gnutls-3.7.2/PF
- var/db/pkg/net-libs/gnutls-3.7.2/PROVIDES
- var/db/pkg/net-libs/gnutls-3.7.2/RDEPEND
- var/db/pkg/net-libs/gnutls-3.7.2/REQUIRES
- var/db/pkg/net-libs/gnutls-3.7.2/RESTRICT
- var/db/pkg/net-libs/gnutls-3.7.2/SIZE
- var/db/pkg/net-libs/gnutls-3.7.2/SLOT
- var/db/pkg/net-libs/gnutls-3.7.2/USE
- var/db/pkg/net-libs/gnutls-3.7.2/environment.bz2
- var/db/pkg/net-libs/gnutls-3.7.2/gnutls-3.7.2.ebuild
- var/db/pkg/net-libs/gnutls-3.7.2/repository
package_cacheimage: ""
runtime:
  name: gnutls
  version: 3.7.2+1
  category: net-libs
  use_flags:
  - -dane
  - -doc
  - -guile
  - -seccomp
  - -test
  - -test-full
  - -tools
  - -valgrind
  - idn
  - nls
  - pkcs11
  requires:
  - name: p11-kit
    version: '>=0'
    category: app-crypt
  - name: libtasn1
    version: '>=0'
    category: dev-libs
  - name: nettle
    version: '>=0'
    category: dev-libs
  - name: libidn2
    version: '>=0'
    category: net-dns
  - name: libintl
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A TLS 1.2 and SSL 3.0 implementation for the GNU project
  uri:
  - http://www.gnutls.org/
  license: GPL-3 LGPL-2.1+
  labels:
    BDEPEND: '>=virtual/pkgconfig-0-r1 doc? ( dev-util/gtk-doc ) nls? ( sys-devel/gettext
      ) tools? ( sys-devel/autogen ) valgrind? ( dev-util/valgrind ) test-full? (
      app-crypt/dieharder >=app-misc/datefudge-1.22 dev-libs/softhsm:2[-bindist] net-dialup/ppp
      net-misc/socat ) >=app-portage/elt-patches-20170815'
    DEPEND: '>=dev-libs/libtasn1-4.9:= dev-libs/libunistring:= >=dev-libs/nettle-3.6:=[gmp]
      >=dev-libs/gmp-5.1.3-r1:= tools? ( sys-devel/autogen:= ) dane? ( >=net-dns/unbound-1.4.20:=
      ) guile? ( >=dev-scheme/guile-2:=[networking] ) nls? ( >=virtual/libintl-0-r1:=
      ) pkcs11? ( >=app-crypt/p11-kit-0.23.1:= ) idn? ( >=net-dns/libidn2-0.16-r1:=
      ) test? ( seccomp? ( sys-libs/libseccomp ) )'
    IUSE: +cxx dane doc examples guile +idn nls +openssl +pkcs11 seccomp sslv2 sslv3
      static-libs test test-full +tls-heartbeat tools valgrind
    RDEPEND: '>=dev-libs/libtasn1-4.9:= dev-libs/libunistring:= >=dev-libs/nettle-3.6:=[gmp]
      >=dev-libs/gmp-5.1.3-r1:= tools? ( sys-devel/autogen:= ) dane? ( >=net-dns/unbound-1.4.20:=
      ) guile? ( >=dev-scheme/guile-2:=[networking] ) nls? ( >=virtual/libintl-0-r1:=
      ) pkcs11? ( >=app-crypt/p11-kit-0.23.1:= ) idn? ( >=net-dns/libidn2-0.16-r1:=
      )'
    emerge.packages: net-libs/gnutls
    kit: core-kit
    original.package.name: net-libs/gnutls
    original.package.slot: "0"
    original.package.version: 3.7.2
